E4DEFRAG(8)

NOM
e4defrag - Défragmenteur en ligne pour le système de fichiers ext4

SYNOPSIS
e4defrag [ -c ] [ -v ] cible ...

DESCRIPTION
e4defrag réduit la fragmentation du fichier basé sur les extents. Le fichier ciblé par e4defrag est présent sur les systèmes de fichiers ext4 créés avec l'option -O extent (consultez mke2fs(8)). Le fichier ciblé obtient ainsi plus de blocs contigus, ce qui améliore la vitesse d'accès à ce fichier.

cible est un fichier normal, un répertoire ou un périphérique monté ayant un système de fichiers ext4. Si cible est un répertoire, e4defrag réduit la fragmentation de tous les fichiers qu'il contient. Si cible est un périphérique, e4defrag réduit la fragmentation de tous les fichiers contenus dans son point de montage.

OPTIONS

-c  Obtenir l'état de fragmentation actuel et l'état de fragmentation idéal, et calculer à partir de ces informations un score de fragmentation. En fonction de ce score, on peut déterminer s'il faut ou non exécuter e4defrag sur cible. Lorsque l'option -v est utilisée, les états de fragmentation actuelle et idéale sont affichés pour chaque fichier.

    Cette option affiche aussi la taille moyenne des données par extent. Il est possible de déterminer en la voyant si un fichier a des extents idéaux ou non. Notez que la taille maximale d'un extent est 131 072 ko pour un système de fichiers ext4 (si la taille d'un bloc est 4 ko).

    Si cette option est indiquée, cible ne sera jamais défragmentée.

-v  Afficher les messages d'erreur et l'état de fragmentation avant et après la défragmentation de chaque fichier.

NOTES
e4defrag ne gère pas les fichiers d'échange (« swap files »), les fichiers dans le répertoire lost+found et les fichiers alloués dans des blocs indirects. Lorsque cible est un périphérique ou un point de montage, e4defrag ne défragmente pas les fichiers d'autres points de montage de périphériques.

Il n’y a aucun risque à exécuter e4defrag sur un fichier alors qu’il est activement utilisé par une autre application. Puisque le contenu des blocs du fichier sont copiés en utilisant le cache de page, cela peut aboutir à une baisse de performance pour e4defrag et pour l’application à cause d’un conflit d’accès à la mémoire du système et d’utilisation de bande passante.

Si l’espace libre du système est fragmenté ou s’il n’existe pas suffisamment d’espace libre, e4defrag pourrait ne pas pouvoir améliorer la fragmentation du fichier.

Les utilisateurs sans droits particuliers peuvent exécuter e4defrag sur leurs propres fichiers, mais le score n'est pas affiché si l'option -c est indiquée. Il est donc préférable de l'utiliser avec les droits du superutilisateur.

AUTEUR
Écrit par Akira Fujita <a-fujita@rs.jp.nec.com> et Takashi Sato <t-sato@yk.jp.nec.com>.

VOIR AUSSI
mke2fs(8), mount(8).

TRADUCTION
La traduction française de cette page de manuel a été créée par Gérard Delafond <gerard@delafond.org>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Sébastien Blanchet, Emmanuel Araman <Emmanuel@araman.org>, Éric Piel <eric.piel@tremplin-utc.net>, Nicolas François <nicolas.francois@centraliens.net>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org> et Cédric Boutillier <cedric.boutillier@gmail.com>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.